{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
  {% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
{{ media }}
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
<script type="text/javascript" src="{% static 'admin/js/RelatedObjectLookups.js' %}"></script>
<script type="text/javascript" src="{% static 'admin/js/SelectBox.js' %}"></script>
<script type="text/javascript" src="{% static 'admin/js/jquery.js' %}"></script>
<script type="text/javascript" src="{% static 'custom/js/Pagos/select_multiple.js' %}"></script>

{% endblock %}

{% block extrastyle %}{% endblock %}


{% block breadcrumbs %}
<div class="breadcrumbs">
     <a href="javascript:window.close()">{% trans "Cerrar" %}</a> &rsaquo;
</div>
{% endblock %}

{% block title %} {% trans 'Asignación de Pagos UDL' %} {% endblock %}

{% block content %}

<fieldset class="module aligned">
<h2>Agregar Moras Pendientes de Alumno Matriculado </h2>
<div class="form-row">
	<div class="field-box">
		<label class="required" >Alumno:</label>
                {{ matriculado.Alumno|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Código:</label>
                {{ matriculado.Alumno.Codigo|escape }}
	</div>
	<div class="field-box">
		<label class="required inline" >Matrícula:</label>
		{{ matriculado.Periodo|escape }}
	</div>
</div>
<div class="form-row">
        <div class="field-box">
		<label class="required" >Carrera:</label>
                {{ matriculado.Alumno.Carrera|escape }}
	</div>
	<div class="field-box">
		<label class="required" >Categoria:</label>
                {{ matriculado.Categoria|escape }}
	</div>
</div>

<form action="" method="POST" >{% csrf_token %}
{{ form.Matriculado }}
<div class="form-row">
	<label class="required" for="id_ConceptoPago">Conceptos:</label>

	<div class="selector">
		<div class="selector-available">
		<h2>Moras Pendientes</h2>
                <p class="selector-filter">Seleccione los items a agregar y haga click en
		<img class = 'selector-add active' alt="Add"/>
		</p>
		<select id="id_ConceptoPago_from" class="filtered" name="ConceptoPago_old" multiple="multiple"/>
                {% for pago_pendiente in pagos_pendientes %}
                    <option value="{{ pago_pendiente.id|escape }}">{{ pago_pendiente.ConceptoPago.Descripcion|escape }}</option>
                {% endfor %}
		</select>
		<a id = "select_chooseall" class="selector-chooseall" href="#">Seleccionar todos</a>
	        </div>

	        <ul class="selector-chooser">
		<li><a id = "add_concepto" class="selector-add active" href="#">Agregar</a>
		</li>
		<li><a id = "remove_concepto" class="selector-remove active" href="#">Eliminar</a>
		</li>
	        </ul>

	        <div class="selector-chosen">
                  {{ form.ConceptoPago.errors }}
		  <h2>Moras Pendientes elegidas</h2>
		  <p class="selector-filter">Seleccione los items a quitar y haga click en
		  <img class = 'selector-remove active' alt="Remove"/>
		  </p>
		     {{ form.ConceptoPago }}
                  <a id = "select_clearall" class="selector-clearall" href="#">Eliminar todos</a>
                </div>
        </div>
</div>
</fieldset>

<div class="submit-row">
<input class="default" type="submit" value="Grabar" />
</div>
</form>

{% endblock %}
